package cn.superdesk.uniorder.dao.entity.marketing.department;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedAreaCityTargetExample {
    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public UnifiedAreaCityTargetExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdIsNull() {
            addCriterion("area_city_id is null");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdIsNotNull() {
            addCriterion("area_city_id is not null");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdEqualTo(Long value) {
            addCriterion("area_city_id =", value, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdNotEqualTo(Long value) {
            addCriterion("area_city_id <>", value, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdGreaterThan(Long value) {
            addCriterion("area_city_id >", value, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdGreaterThanOrEqualTo(Long value) {
            addCriterion("area_city_id >=", value, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdLessThan(Long value) {
            addCriterion("area_city_id <", value, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdLessThanOrEqualTo(Long value) {
            addCriterion("area_city_id <=", value, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdIn(List<Long> values) {
            addCriterion("area_city_id in", values, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdNotIn(List<Long> values) {
            addCriterion("area_city_id not in", values, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdBetween(Long value1, Long value2) {
            addCriterion("area_city_id between", value1, value2, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andAreaCityIdNotBetween(Long value1, Long value2) {
            addCriterion("area_city_id not between", value1, value2, "areaCityId");
            return (Criteria) this;
        }

        public Criteria andYearlyIsNull() {
            addCriterion("yearly is null");
            return (Criteria) this;
        }

        public Criteria andYearlyIsNotNull() {
            addCriterion("yearly is not null");
            return (Criteria) this;
        }

        public Criteria andYearlyEqualTo(Integer value) {
            addCriterion("yearly =", value, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyNotEqualTo(Integer value) {
            addCriterion("yearly <>", value, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyGreaterThan(Integer value) {
            addCriterion("yearly >", value, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyGreaterThanOrEqualTo(Integer value) {
            addCriterion("yearly >=", value, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyLessThan(Integer value) {
            addCriterion("yearly <", value, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyLessThanOrEqualTo(Integer value) {
            addCriterion("yearly <=", value, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyIn(List<Integer> values) {
            addCriterion("yearly in", values, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyNotIn(List<Integer> values) {
            addCriterion("yearly not in", values, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyBetween(Integer value1, Integer value2) {
            addCriterion("yearly between", value1, value2, "yearly");
            return (Criteria) this;
        }

        public Criteria andYearlyNotBetween(Integer value1, Integer value2) {
            addCriterion("yearly not between", value1, value2, "yearly");
            return (Criteria) this;
        }

        public Criteria andMonthlyIsNull() {
            addCriterion("monthly is null");
            return (Criteria) this;
        }

        public Criteria andMonthlyIsNotNull() {
            addCriterion("monthly is not null");
            return (Criteria) this;
        }

        public Criteria andMonthlyEqualTo(Integer value) {
            addCriterion("monthly =", value, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyNotEqualTo(Integer value) {
            addCriterion("monthly <>", value, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyGreaterThan(Integer value) {
            addCriterion("monthly >", value, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyGreaterThanOrEqualTo(Integer value) {
            addCriterion("monthly >=", value, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyLessThan(Integer value) {
            addCriterion("monthly <", value, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyLessThanOrEqualTo(Integer value) {
            addCriterion("monthly <=", value, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyIn(List<Integer> values) {
            addCriterion("monthly in", values, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyNotIn(List<Integer> values) {
            addCriterion("monthly not in", values, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyBetween(Integer value1, Integer value2) {
            addCriterion("monthly between", value1, value2, "monthly");
            return (Criteria) this;
        }

        public Criteria andMonthlyNotBetween(Integer value1, Integer value2) {
            addCriterion("monthly not between", value1, value2, "monthly");
            return (Criteria) this;
        }

        public Criteria andOkrTargetIsNull() {
            addCriterion("okr_target is null");
            return (Criteria) this;
        }

        public Criteria andOkrTargetIsNotNull() {
            addCriterion("okr_target is not null");
            return (Criteria) this;
        }

        public Criteria andOkrTargetEqualTo(BigDecimal value) {
            addCriterion("okr_target =", value, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetNotEqualTo(BigDecimal value) {
            addCriterion("okr_target <>", value, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetGreaterThan(BigDecimal value) {
            addCriterion("okr_target >", value, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("okr_target >=", value, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetLessThan(BigDecimal value) {
            addCriterion("okr_target <", value, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetLessThanOrEqualTo(BigDecimal value) {
            addCriterion("okr_target <=", value, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetIn(List<BigDecimal> values) {
            addCriterion("okr_target in", values, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetNotIn(List<BigDecimal> values) {
            addCriterion("okr_target not in", values, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("okr_target between", value1, value2, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andOkrTargetNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("okr_target not between", value1, value2, "okrTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetIsNull() {
            addCriterion("kpi_target is null");
            return (Criteria) this;
        }

        public Criteria andKpiTargetIsNotNull() {
            addCriterion("kpi_target is not null");
            return (Criteria) this;
        }

        public Criteria andKpiTargetEqualTo(BigDecimal value) {
            addCriterion("kpi_target =", value, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetNotEqualTo(BigDecimal value) {
            addCriterion("kpi_target <>", value, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetGreaterThan(BigDecimal value) {
            addCriterion("kpi_target >", value, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("kpi_target >=", value, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetLessThan(BigDecimal value) {
            addCriterion("kpi_target <", value, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetLessThanOrEqualTo(BigDecimal value) {
            addCriterion("kpi_target <=", value, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetIn(List<BigDecimal> values) {
            addCriterion("kpi_target in", values, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetNotIn(List<BigDecimal> values) {
            addCriterion("kpi_target not in", values, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kpi_target between", value1, value2, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andKpiTargetNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kpi_target not between", value1, value2, "kpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetIsNull() {
            addCriterion("profit_kpi_target is null");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetIsNotNull() {
            addCriterion("profit_kpi_target is not null");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetEqualTo(BigDecimal value) {
            addCriterion("profit_kpi_target =", value, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetNotEqualTo(BigDecimal value) {
            addCriterion("profit_kpi_target <>", value, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetGreaterThan(BigDecimal value) {
            addCriterion("profit_kpi_target >", value, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_kpi_target >=", value, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetLessThan(BigDecimal value) {
            addCriterion("profit_kpi_target <", value, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetLessThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_kpi_target <=", value, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetIn(List<BigDecimal> values) {
            addCriterion("profit_kpi_target in", values, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetNotIn(List<BigDecimal> values) {
            addCriterion("profit_kpi_target not in", values, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_kpi_target between", value1, value2, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andProfitKpiTargetNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_kpi_target not between", value1, value2, "profitKpiTarget");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
     *
     * table unified_area_city_target
     *
     * do_not_delete_during_merge Tue Nov 24 16:45:56 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table unified_area_city_target
     *
     * Tue Nov 24 16:45:56 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}